#!/bin/bash

interface=`cat /etc/wwwacct.conf | grep ETHDEV | awk '{print $2}'`
mainip=`ifconfig $interface | grep -Eo 'inet (addr:)?([0-9]*\.){3}[0-9]*' | grep -Eo '([0-9]*\.){3}[0-9]*' | grep -v '127.0.0.1'`
mainshareip=`cat /etc/wwwacct.conf | grep ADDR | awk '{print $2}'`

count="2000"

IPLIST=`tcpdump -i $interface -nn -A -s 512 dst port 443 -c $count | grep 'IP' | awk '{print $3}' | grep -E -o "([0-9]{1,3}[\.]){3}[0-9]{1,3}" | sort | uniq -c | sort -n | grep -v $mainip | grep -v $mainshareip | tail -n 10`

echo "$IPLIST" > /tmp/iplist.txt

echo ''
echo '目前 LiteSpeed Web Server 遭存取最多次數網站前十名'
echo ''
cat /tmp/iplist.txt
echo ''
echo '=========='
echo ''
echo 'IP存取對應網站domlogs路徑'
echo ''

for IP in `cat /tmp/iplist.txt | awk '{print $2}'`; do

echo $IP ':' `find /var/log/apache2/domlogs/* -name "*.*" -exec grep -H $IP {} \; | awk -F\: '{print $1}' | tail -n 1`

done
